﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ddigitalsignage
{
    public partial class Form1 : Form
    {
        // 変数の定義
        int cnt1 = 0; // 画面切り替えようのカウンター
        int cnt2 = 0; // シナリオファイルのダウンロード用
        string[] url = new string[10]; // URL格納用
        int numAd = 0; // URLの数
        int playAd = 0; // 表示しているウェブの番号

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            url[0] = "http://127.0.0.1/index.html"; // 初期画面
            try
            {
                webBrowser1.Navigate(new Uri(url[0]));
            }
            catch
            {
            }
            // シナリオファイルの読み込み
            readFile();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            cnt1++; // cnt1を加算
            if (cnt1 == 10) // 10秒たったら画面を切り替える
            {
                try
                {
                    webBrowser1.Navigate(new Uri(url[playAd]));
                }
                catch
                {
                }

                // 表示URLをカウントアップ
                playAd++;
                if (playAd >= numAd) playAd = 0; // URL数が上限に達したら初期化

                // 初期化
                cnt1 = 0;
            }
        }

        private void timer2_Tick(object sender, EventArgs e)
        {
            cnt2++; // カウントアップ
            if (cnt2 == 30) // ファイルダウンロードタイミング
            {
                // シナリオファイルの読み込み
                readFile();

                // カウンターの初期化
                cnt2 = 0;
            }
        }

        private void readFile()
        {
            // シナリオ管理サーバーにアクセスして所定のシナリオファイルをローカルファイルに
            System.Net.WebClient wc = new System.Net.WebClient();
            wc.DownloadFile("http://127.0.0.1/dscenario.txt", @"c:\dds\dscenario.txt");

            //読み込むテキストファイル
            string textFile = "C:\\dds\\dscenario.txt";
            //文字コード(ここでは、Shift JIS)
            System.Text.Encoding enc = System.Text.Encoding.Default;

            //テキストファイルの中身をすべて読み込む
            //string str = System.IO.File.ReadAllText(textFile, enc);

            //行ごとの配列として、テキストファイルの中身をすべて読み込む
            string[] lines = System.IO.File.ReadAllLines(textFile, enc);

            // 一行目をURL数として取り出す
            numAd = int.Parse(lines[0]);
            // 残りの行をURLとして取り出す
            for (int i = 0; i < numAd; i++)
            {
                url[i] = lines[i + 1];
            }
        }
    }
}
